import { assert } from "@thi.ng/errors/assert";
const assign = (l, r) => {
  assert(
    l.tag !== "swizzle" || l.val.tag === "sym",
    "can't assign to non-symbol swizzle"
  );
  return {
    tag: "assign",
    type: l.type,
    l,
    r
  };
};
export {
  assign
};
