import type { Index, IndexM, Sym } from "../api/nodes.js";
import type { UintTerm } from "../api/terms.js";
import { type IndexTypeMap, type MatIndexTypeMap, type NumericI } from "../api/types.js";
export declare const index: <T extends keyof IndexTypeMap>(val: Sym<T>, id: NumericI | UintTerm) => Index<IndexTypeMap[T]>;
export declare function indexMat<T extends keyof MatIndexTypeMap>(m: Sym<T>, id: number): IndexM<MatIndexTypeMap[T]>;
export declare function indexMat<T extends keyof MatIndexTypeMap>(m: Sym<T>, a: number, b: number): Index<"float">;
//# sourceMappingURL=indexed.d.ts.map